/**
 * Copyright 2012, Ayuntamiento de Tarragona
 *  
 * Desarrollador por  Guadaltel, S.A.
 * 
 * El presente cdigo fue desarrollado con financiacin del Ministerio 
 * de Industria Turismo y Comercio con el nmero de proyecto TSI-050100-2009-219.
 * 
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the 
 * European Commission  subseqent versions of the EUPL (the "Licence");  you 
 * may not use this work except in compliance with the Licence.
 *
 * You may obtain a copy of the Licence at: http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed 
 * under the  Licence is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 * CONDITIONS OF ANY KIND, either express or implied. See the Licence for the 
 * specific language governing  permissions and limitations under the Licence.
 */
package es.guadaltel.framework.authenticator.impl;

import es.guadaltel.framework.authenticator.ICertReader;
import es.guadaltel.framework.authenticator.domain.InfoCertificado;
import java.security.cert.X509Certificate;

public class DnieCertReader implements ICertReader
{
	static final String ISSUER = "DIRECCION GENERAL DE LA POLICIA";

	public InfoCertificado getInfo(X509Certificate cert)
	{
		String asunto = cert.getSubjectDN().getName();
		String issuer = cert.getIssuerDN().getName();

		int idx = issuer.indexOf("O=");
		int idx1 = issuer.indexOf(",", idx);
		issuer = issuer.substring(idx + "O=".length(), idx1).trim();

		idx = asunto.indexOf("CN=\"");
		idx1 = asunto.indexOf("(", idx);
		String nombre = asunto.substring(idx + "CN=\"".length(), idx1).replace(",", "").trim();
		idx = asunto.indexOf("SERIALNUMBER=");
		idx1 = asunto.indexOf(",", idx);
		String nif = asunto.substring(idx + "SERIALNUMBER=".length(), idx1).trim();
		String numeroSerie = cert.getSerialNumber().toString();

		InfoCertificado infoCertificado = new InfoCertificado();
		infoCertificado.setName(nombre);
		infoCertificado.setCif(nif);
		infoCertificado.setNif(nif);
		infoCertificado.setIssuer(issuer);
		infoCertificado.setSubject(asunto);
		infoCertificado.setSerialNumber(numeroSerie);

		return infoCertificado;
	}

	public boolean isTypeOf(X509Certificate cert) {
		String issuer = cert.getIssuerDN().getName();

		int idx = issuer.indexOf("O=");
		int idx1 = issuer.indexOf(",", idx);
		issuer = issuer.substring(idx + "O=".length(), idx1).trim();
		return issuer.equals("DIRECCION GENERAL DE LA POLICIA");
	}
}