/**
 * Copyright 2012, Ayuntamiento de Tarragona
 *  
 * Desarrollador por  Guadaltel, S.A.
 * 
 * El presente cdigo fue desarrollado con financiacin del Ministerio 
 * de Industria Turismo y Comercio con el nmero de proyecto TSI-050100-2009-219.
 * 
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the 
 * European Commission  subseqent versions of the EUPL (the "Licence");  you 
 * may not use this work except in compliance with the Licence.
 *
 * You may obtain a copy of the Licence at: http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed 
 * under the  Licence is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 * CONDITIONS OF ANY KIND, either express or implied. See the Licence for the 
 * specific language governing  permissions and limitations under the Licence.
 */
package es.guadaltel.framework.authenticator.utils;

import java.util.ResourceBundle;
import org.apache.log4j.Logger;

public class AuthProperties
{
	private static Logger LOG = Logger.getLogger(AuthProperties.class);
	private static final String ARCHIVO_PROPERTIES = "authenticator";

	public static String getProperty(String clave)
	{
		try
		{
			ResourceBundle propiedades = ResourceBundle.getBundle(ARCHIVO_PROPERTIES);

			return propiedades.getString(clave);
		} catch (Exception e) {
			LOG.error("No se encontr el archivo properties o la propiedad " + clave + ": " + e);
		}return null;
	}
}