/**
 * Copyright 2012, Ayuntamiento de Tarragona
 *  
 * Desarrollador por  Guadaltel, S.A.
 * 
 * El presente cdigo fue desarrollado con financiacin del Ministerio 
 * de Industria Turismo y Comercio con el nmero de proyecto TSI-050100-2009-219.
 * 
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the 
 * European Commission  subseqent versions of the EUPL (the "Licence");  you 
 * may not use this work except in compliance with the Licence.
 *
 * You may obtain a copy of the Licence at: http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed 
 * under the  Licence is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 * CONDITIONS OF ANY KIND, either express or implied. See the Licence for the 
 * specific language governing  permissions and limitations under the Licence.
 */
package es.guadaltel.framework.authenticator.utils;

import es.guadaltel.framework.authenticator.domain.InfoCertificado;
import es.guadaltel.framework.core.User;
import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;

public class UtilsWSPSIS
{
	public static User parseUser(InfoCertificado persona)
	{
		User userDetails = new User();

		userDetails.setId(persona.getNif());
		userDetails.setIdNumber(persona.getNif());
		userDetails.setName(persona.getName());
		userDetails.setSurname1("");
		userDetails.setSurname2("");
		userDetails.setEmail("");

		Map detalles = new HashMap();
		detalles.put("CA", "");
		detalles.put("TIPOAFIRMA", "");
		detalles.put("ANAGRAMA", "");
		detalles.put("TIPOCERTIFICADO", "");
		detalles.put("NOMBREENTIDAD", persona.getIssuer());
		detalles.put("CIFENTIDAD", "");
		detalles.put("NOMBREYAPELLIDOSREPRESENTADO", "");
		detalles.put("NIFREPRESENTADO", "");
		detalles.put("PAIS", "");
		detalles.put("PROVINCIA", "");
		detalles.put("POBLACION", "");
		detalles.put("CADUCIDAD", "");
		detalles.put("FECHACREACION", "");
		detalles.put("FECHACADUCIDAD", "");

		userDetails.setProperties(detalles);

		return userDetails;
	}

	public static ByteArrayOutputStream getData(InputStream in)
	{
		ByteArrayOutputStream out = new ByteArrayOutputStream();
		try
		{
			byte[] buffer = new byte[4096];
			int read = 0;
			while ((read = in.read(buffer)) != -1)
			{
				out.write(buffer, 0, read);
			}
		}
		catch (Exception localException) {
		}
		return out;
	}
}