/**
 * Copyright 2012, Ayuntamiento de Tarragona
 *  
 * Desarrollador por  Guadaltel, S.A.
 * El presente cdigo fue desarrollado con financiacin del Ministerio 
 * de Industria Turismo y Comercio con el nmero de proyecto TSI-050100-2009-219.
 * 
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the 
 * European Commission  subseqent versions of the EUPL (the "Licence");  you 
 * may not use this work except in compliance with the Licence.
 *
 * You may obtain a copy of the Licence at: http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed 
 * under the  Licence is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 * CONDITIONS OF ANY KIND, either express or implied. See the Licence for the 
 * specific language governing  permissions and limitations under the Licence.
 */

package es.guadaltel.framework.register.constants;

public class RegisterSigemConstants {

    public static final String PREFIX_COMPONENTE = "register.sigem.";

	public static final String TYPE_REGISTER_ENTRY = "entry";

	public static final String TYPE_REGISTER_OUT = "out";

	public static final String TYPE_REGISTER_TELEMATIC = "telematic";

	public static final String idioma = "es";

	/**
	 * WSDL del registro presencial.
	 */
	public static final String REGISTER_PRES_WSDLLOCATION = "presenc.wsdl";

	/**
	 * WSDL del registro telemático.
	 */
	public static final String REGISTER_TELEMATIC_WSDLLOCATION = "telematic.wsdl";

	/**
     * Formato de la fecha devuelta.
     */
	public static final String REGISTER_PRES_DATEFORMAT = "presenc.dateFormat";

	/**
	 * Usuario para realizar el registro presencial.
	 */
	public static final String REGISTER_PRES_USUARIO = "presenc.user";

	/**
	 * Password para realizar el registro presencial.
	 */
	public static final String REGISTER_PRES_PASS = "presenc.password";

	/**
	 * Locale del usuario para el registro presencial.
	 */
	public static final String REGISTER_PRES_USER_LOCALE = "presenc.locale";

	/**
	 * Usuario para realizar el registro telemático.
	 */
	public static final String REGISTER_TELEMATIC_USUARIO = "telematic.user";

	/**
	 * Password para realizar el registro telemático.
	 */
	public static final String REGISTER_TELEMATIC_PASS = "telematic.password";

	/**
	 * Asunto establecido para realizar el registro.
	 */
	public static final String REGISTER_SUBJECT = "presenc.subject";

	/**
	 * Organización que realizará el registro
	 */
	public static final String REGISTER_ORGANIZATION = "presenc.organization";

	/**
	 * Código de origen
	 */
	public static final String REGISTER_CODIGO_ORIGEN = "presenc.codigoOrigen";

	/**
	 * Identificador del libro de entrada en el que se realizarán los registros presenciales.
	 */
	public static final String REGISTER_PRES_BOOK_IN = "presenc.entrada.bookId";

	/**
	 * Identificador del libro de salida en el que se realizarán los registros presenciales.
	 */
	public static final String REGISTER_PRES_BOOK_OUT = "presenc.salida.bookId";

	/**
	 * Identificador de la entidad de registro.
	 */
	public static final String REGISTER_ENTIDAD = "presenc.entidad";

	/**
     * Identificador del libro de salida en el que se realizarán los registros presenciales.
     */
    public static final String REGISTER_PRES_S_TIP_TRAN = "presenc.salida.tipoTrans";

    /**
     * Asunto por defecto par alas notificaciones de entrada.
     */
    public static final String REGISTER_PRES_E_SUBJECT_DEFAULT = "presenc.entrada.asuntoDef";


	/**
	 * Identificadores de los campos para el registro de Entrada.
	 */
	public static final String REGISTER_PRES_CAMPO_E_DESTINO = "presenc.campo.entrada.destino";
	public static final String REGISTER_PRES_CAMPO_E_TASUNTO = "presenc.campo.entrada.tipoAsunto";
	public static final String REGISTER_PRES_CAMPO_E_RESUMEN= "presenc.campo.entrada.resumen";
//	public static final String REGISTER_PRES_CAMPO_E_ORIGEN = "presenc.campo.entrada.origen";
//	public static final String REGISTER_PRES_CAMPO_E_REMITENTES = "presenc.campo.entrada.remitentes";
//	public static final String REGISTER_PRES_CAMPO_E_TTRANSPORTE = "presenc.campo.entrada.tipTran";
//	public static final String REGISTER_PRES_CAMPO_E_NTRANSPORTE = "presenc.campo.entrada.numTran";


	/**
	 * Identificadores de los campos para el registro de Salida.
	 */
	public static final String REGISTER_PRES_CAMPO_S_ORIGEN = "presenc.campo.salida.origen";
	public static final String REGISTER_PRES_CAMPO_S_TTRANSPORTE = "presenc.campo.salida.tipTran";
	public static final String REGISTER_PRES_CAMPO_S_TASUNTO = "presenc.campo.salida.tipoAsunto";
//	public static final String REGISTER_PRES_CAMPO_S_DESTINO = "presenc.campo.salida.destino";
//	public static final String REGISTER_PRES_CAMPO_S_DESTINATARIOS = "presenc.campo.salida.destinat";
//	public static final String REGISTER_PRES_CAMPO_S_NTRANSPORTE = "presenc.campo.salida.numTran";
//	public static final String REGISTER_PRES_CAMPO_S_RESUMEN= "presenc.campo.salida.resumen";
}
