/**
 * Copyright 2012, Ayuntamiento de Tarragona
 *  
 * Desarrollador por  Guadaltel, S.A.
 * El presente cdigo fue desarrollado con financiacin del Ministerio 
 * de Industria Turismo y Comercio con el nmero de proyecto TSI-050100-2009-219.
 * 
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the 
 * European Commission  subseqent versions of the EUPL (the "Licence");  you 
 * may not use this work except in compliance with the Licence.
 *
 * You may obtain a copy of the Licence at: http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed 
 * under the  Licence is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 * CONDITIONS OF ANY KIND, either express or implied. See the Licence for the 
 * specific language governing  permissions and limitations under the Licence.
 */
package es.guadaltel.framework.notificator.util;

/**
 * Clase de Constantes del componente de Notificación.
 */
public final class ConstantsNotificator {

    public static final String PREFIX_COMPONENTE = "notificator.enotum.";

    public static final String ENDPOINT = "endpoint";
    public static final String TRUSTSTORE = "trustStore";
    public static final String TRUSTSTORE_TYPE = "trustStoreType";
    public static final String TRUSTSTORE_PASSWORD = "trustStorePassord";

    public static final String FORMATO_FECHA_PETICION = "siri.formatoFechaPeticion";
    public static final String COD_CERTIFICADO_DEFECTO = "siri.defaultCodigoCertificado";
    public static final String COD_PRODUCTO_DEFECTO = "siri.defaultCodigoProducto";
    public static final String ID_SOLICITANTE_DEFECTO = "siri.defaultIdentificadorSolicitante";
    public static final String NOMBRE_SOLICITANTE_DEFECTO = "siri.defaultNombreSolicitante";
    public static final String FINALIDAD_DEFECTO = "siri.defaultFinalidad";
    public static final String NIF_FUNCIONARIO_DEFECTO = "siri.defaultNifFuncionario";
    public static final String NOMBRE_FUNCIONARIO_DEFECTO = "siri.defaultNombreCompletoFuncionario";

	public static final String COD_OPERACION_CONSULTA = "nt.codiOperacioConsulta";
	public static final String COD_OPERACION_CREACION = "nt.codiOperacioCreacion";
	public static final String NOMBRE_USUARIO_DEFECTO = "nt.defaultNomUsuari";
	public static final String ROL_USUARIO_DEFECTO = "nt.defaultRolUsuari";
	public static final String COD_ORGANISMO_DEFECTO = "nt.defaultCodiOrganisme";
	public static final String COD_DEPARTAMENTO_DEFECTO = "nt.defaultCodiDepartament";

	public static final String REGISTRAR_SIGEM = "registerSigem";

	public static final String TIPO_IDENTIF_EMPRESA = "comp.tipoIdentifEmpresa";
	public static final String SENTIDO_RELACION_INTERESADOS = "comp.sentidoRelInteresado";
	public static final String TIPO_CONTACTO_APODERADO_ABREV = "comp.contactoApoderado";
	public static final String RAZON_INTERES_APODERADO_ABREV = "comp.razonInteresApoderado";
}