/**
 * Copyright 2012, Ayuntamiento de Tarragona
 *  
 * Desarrollador por  Guadaltel, S.A.
 * El presente cdigo fue desarrollado con financiacin del Ministerio 
 * de Industria Turismo y Comercio con el nmero de proyecto TSI-050100-2009-219.
 * 
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the 
 * European Commission  subseqent versions of the EUPL (the "Licence");  you 
 * may not use this work except in compliance with the Licence.
 *
 * You may obtain a copy of the Licence at: http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed 
 * under the  Licence is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 * CONDITIONS OF ANY KIND, either express or implied. See the Licence for the 
 * specific language governing  permissions and limitations under the Licence.
 */
package es.guadaltel.framework.notificator.test;

import net.aocat.nt.v2_1.ntresposta.NTResposta;
import net.gencat.scsp.esquemes.peticion.Peticion;
import net.gencat.scsp.esquemes.respuesta.Respuesta;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.w3c.dom.Document;

import es.guadaltel.framework.notificator.util.NTUtils;
import es.guadaltel.framework.notificator.util.SiriClient;
import es.guadaltel.framework.notificator.util.SiriUtils;

public class EnviarPeticioPCIAppSincron
{
	private static final Log LOG = LogFactory.getLog(EnviarPeticioPCIAppSincron.class);

	public static void main (String[] args) throws Exception
	{
		//Peticion
		Peticion peticion = SiriUtils.crearPeticionSiriPorDefecto();

    	//Datos especificos de Enotum
    	Document solicitudEnotum = NTUtils.crearDocumentoConsultaNotificacion(158759);

    	if(solicitudEnotum!=null)
    	    peticion.getSolicitudes().getSolicitudTransmision().get(0).setDatosEspecificos(solicitudEnotum.getDocumentElement());

    	SiriClient enotumService = new SiriClient();
		Respuesta respuesta = enotumService.enviarPeticionSiri(peticion);

		if(respuesta!=null){
			NTResposta ntresposta = NTUtils.recuperarRespuestaEnotum(respuesta);

			System.out.println(respuesta.getAtributos().getCodigoCertificado());
		}
	}
}
