/**
 * Copyright 2012, Ayuntamiento de Tarragona
 *  
 * Desarrollador por  Guadaltel, S.A.
 * El presente cdigo fue desarrollado con financiacin del Ministerio 
 * de Industria Turismo y Comercio con el nmero de proyecto TSI-050100-2009-219.
 * 
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by the 
 * European Commission  subseqent versions of the EUPL (the "Licence");  you 
 * may not use this work except in compliance with the Licence.
 *
 * You may obtain a copy of the Licence at: http://ec.europa.eu/idabc/eupl
 *
 * Unless required by applicable law or agreed to in writing, software distributed 
 * under the  Licence is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR 
 * CONDITIONS OF ANY KIND, either express or implied. See the Licence for the 
 * specific language governing  permissions and limitations under the Licence.
 */
package es.guadaltel.framework.notificator.test;

import java.io.File;
import java.io.FileInputStream;

import es.guadaltel.framework.core.Address;
import es.guadaltel.framework.core.Document;
import es.guadaltel.framework.core.User;
import es.guadaltel.framework.notificator.NotificationState;
import es.guadaltel.framework.notificator.Notificator;
import es.guadaltel.framework.notificator.NotificatorFactory;
import es.guadaltel.framework.notificator.NotificatorTransaction;


public class TestNotifica{

	/**
	 * @param args
	 */
	public static void main(String[] args) {

		try{
			Notificator notificator = NotificatorFactory.createInstance("enotum");

			NotificatorTransaction not = new NotificatorTransaction();
			not.setSubject("Asunto");
			not.setText("Mensaje");
			not.setFileNumber("Num");

			User usu = new User();
			Address address = new Address();
			address.setAddress("Direccion");
			address.setZip("CP");
			address.setCity("Ciudad");
			usu.setAddress(address);
			usu.setEmail("nombre@dominio");
			usu.setIdNumber("DNI");
			usu.setName("Nombre");
			usu.setSurname1("Apellido1");
			usu.setSurname2("Apellido2");
			usu.setId("AnagramaFiscal");


			File f = new File("C:/000-Recibi.pdf");
			FileInputStream streamer = new FileInputStream(f);
			byte[] byteArray = new byte[streamer.available()];
			for(int j=0; j<byteArray.length; j++) {
				byteArray[j]=(byte)streamer.read();
				}

			Document doc = new Document();
			doc.setContent(byteArray);
			doc.setMimeType("application/pdf");
			doc.setName("000-Recibi.pdf");
			not.setDocument(doc);
			not.setUser(usu);

//			notificator.send(not);

			System.out.println("Identificador de la notificacion: "+not.getId());

			//Ahora comprobamos el estado
//			NotificationState notState = notificator.getNotificationState(not.getId());
			NotificationState notState = notificator.getNotificationState("192666");

			System.out.println("El estado de la notificacion es "+notState.getState().toString()+" ("+notState.getMessage()+")");

		}catch (Exception e) {
			System.out.println("Error: "+e.getMessage());
			e.printStackTrace();
		}
	}
}


